Package: org.codehaus.groovy.runtime.m12n

## [Java] Class ExtensionModuleScanner

- org.codehaus.groovy.runtime.m12n.ExtensionModuleScanner

- A module extension scanner is responsible for searching classpath modules, loading metadata from module descriptors, then perform custom tasks for each module. This class was introduced as a fix for GROOVY-6008

  Authors:
    Cedric Champeau
  Since:
    2.1.2

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `interface` | `ExtensionModuleScanner.ExtensionModuleListener` |

  - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static String` | `MODULE_META_INF_FILE` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ExtensionModuleScanner (ExtensionModuleScanner.ExtensionModuleListener listener, ClassLoader loader)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `scanClasspathModules()`
    `` | `void` | `scanExtensionModuleFromProperties(Properties properties)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### public static final String MODULE_META_INF_FILE

  - ### Constructor Detail

    - #### public ExtensionModuleScanner(ExtensionModuleScanner.ExtensionModuleListener listener, ClassLoader loader)

  - ### Method Detail

    - #### public void scanClasspathModules()

    - #### public void scanExtensionModuleFromProperties(Properties properties)